#!/bin/sh

echo -------------------------------------------------------------------------
echo Checking for updates....
echo -------------------------------------------------------------------------

wget -qO /tmp/listversion.txt http://eldoru.org/dream/subtitles/e2subs/listversion.txt

oldlist=`cat /usr/lib/enigma2/python/Plugins/Extensions/GSFsubs/listversion.txt | md5sum`
newlist=`cat /tmp/listversion.txt | md5sum`

if [ "$oldlist" = "$newlist" ]
then

echo -------------------------------------------------------------------------
echo Your have the latest Subtitles list... there is no need to update!
echo -------------------------------------------------------------------------

else

echo -------------------------------------------------------------------------
echo There is a new version available for download... Please wait...
echo -------------------------------------------------------------------------

wget -qO /tmp/sublist.tar.gz http://eldoru.org/dream/subtitles/e2subs/sublist.tar.gz

if [ -s /tmp/sublist.tar.gz ]
then
rm /usr/lib/enigma2/python/Plugins/Extensions/GSFsubs/listversion.txt
mv /tmp/listversion.txt /usr/lib/enigma2/python/Plugins/Extensions/GSFsubs/listversion.txt
cd /tmp
tar -xzf sublist.tar.gz -C /
rm /tmp/sublist.tar.gz

echo -------------------------------------------------------------------------
echo Done!!! You now have the latest Subtitles list!!!
echo -------------------------------------------------------------------------

else

echo -------------------------------------------------------------------------
echo There was no connection to the Subtitles server. Please try again later..
echo -------------------------------------------------------------------------

fi
fi

exit 0
