#!/bin/sh

echo -------------------------------------------------------------------------
echo Checking for updates....
echo -------------------------------------------------------------------------

wget -qO /tmp/pluginversion.txt http://eldoru.org/dream/subtitles/e2subs/pluginversion.txt

oldplug=`cat /usr/lib/enigma2/python/Plugins/Extensions/GSFsubs/pluginversion.txt | md5sum`
newplug=`cat /tmp/pluginversion.txt | md5sum`

if [ "$oldplug" = "$newplug" ]
then

echo -------------------------------------------------------------------------
echo Your have the latest Plugin version... there is no need to update!
echo -------------------------------------------------------------------------

else

echo -------------------------------------------------------------------------
echo There is a new version available for download... Please wait...
echo -------------------------------------------------------------------------

wget -qO /tmp/e2_gsfsubs.tar.gz http://eldoru.org/dream/subtitles/e2subs/e2_gsfsubs.tar.gz

if [ -s /tmp/e2_gsfsubs.tar.gz ]
then
rm /usr/lib/enigma2/python/Plugins/Extensions/GSFsubs/pluginversion.txt
mv /tmp/pluginversion.txt /usr/lib/enigma2/python/Plugins/Extensions/GSFsubs/pluginversion.txt
cd /tmp
tar -xzf e2_gsfsubs.tar.gz -C /
rm /tmp/e2_gsfsubs.tar.gz

echo -------------------------------------------------------------------------
echo Done!!! You now have the latest Plugin version!!!
echo -------------------------------------------------------------------------

else

echo -------------------------------------------------------------------------
echo There was no connection to the Subtitles server. Please try again later..
echo -------------------------------------------------------------------------

fi
fi

exit 0
